#
# spec file for package rubygem-gherkin
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-gherkin-4
Version:        4.1.3
Release:        lp151.1.1
%define mod_name gherkin
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -4
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.9.3}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            https://github.com/cucumber/gherkin-ruby
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A fast Gherkin lexer/parser based on the Ragel State Machine Compiler
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Gherkin parser.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="LICENSE README.md" \
  -f

%gem_packages

%changelog
* Tue May 23 2017 coolo@suse.com
- updated to version 4.1.3
  no changelog found
* Fri Mar 17 2017 coolo@suse.com
- updated to version 4.1.1
  no changelog found
* Mon Apr 11 2016 coolo@suse.com
- updated to version 4.0.0
  no changelog found
* Wed Jan 13 2016 coolo@suse.com
- updated to version 3.2.0
  History.md removed upstream
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Thu Feb  6 2014 kkaempf@suse.com
- Update spec file for Ruby 2.1
* Sun Oct 13 2013 coolo@suse.com
- updated to version 2.12.2
  * [Core] Fix Ruby 2.0 warnings ([#265](https://github.com/cucumber/gherkin/issues/265) Aslak Hellesøy)
  * [Java] Expose ID so that tools can differentiate between runs of scenario examples ([#279](https://github.com/cucumber/gherkin/pull/278) jtnord)
  * [Java] Ensure PrettyFormatter outputs whole lines and flushed in between ([#277](https://github.com/cucumber/gherkin/pull/277) Ramon Nogueira)
  * [Java] Durations are Longs not longs as they are optional ([#276](https://github.com/cucumber/gherkin/pull/276) jtnord)
  * [Core] Added ಕನ್ನಡ kannaḍa language ([#282](https://github.com/cucumber/gherkin/pull/282) Nikhil Lingutla)
  * [Java] extension of the Formatter interface for more precise lifecycle handling ([#275](https://github.com/cucumber/gherkin/pull/275) Sebastian Gröbler)
  * Java JSONFormatter should record before hooks in next scenario ([#270](https://github.com/cucumber/gherkin/pull/270) Björn Rasmusson)
  * [JavaScript] Fix encoding issues ([#272](https://github.com/cucumber/gherkin/pull/272) Lukas Degener, Thorsten Glaser)
* Mon Aug 26 2013 coolo@suse.com
- updated to version 2.12.1
* Fri May 24 2013 coolo@suse.com
- updated to version 2.12.0
  [#]# [2.12.0](https://github.com/cucumber/gherkin/compare/v2.11.8...v2.12.0)
  * [Java, Ruby] TagExpression.eval() removed (Oleg Sukhodolsky)
  * [Java, Ruby] Filter.eval() renamed to evaluate()  (Oleg Sukhodolsky)
  * [Java, JRuby] JSONFormatter's java version changed to connect embedding to the recent step the same way as Ruby's one does. (Oleg Sukhodolsky)
  [#]# [2.11.8](https://github.com/cucumber/gherkin/compare/v2.11.7...v2.11.8)
  * [Core] Added Galician (gl) ([#249](https://github.com/cucumber/gherkin/pull/249) son-cativo)
  * [Java, JRuby] Set default i18n when create Parser ([#229](https://github.com/cucumber/gherkin/pull/229) Tomohiko Himura)
  * [Java, JRuby] Filter out code keywords starting with a number: `I18n.code_keywords`. (Aslak Hellesøy)
  [#]# [2.11.7](https://github.com/cucumber/gherkin/compare/v2.11.6...v2.11.7)
  * [Java, JRuby] Fix ArrayOutOfBoundException in JSONFormatter ([#239](https://github.com/cucumber/gherkin/issues/239) Joseph Hughes)
  * [Java, Ruby] JSONFormatter outputs prettyfied json (Oleg Sukhodolsky)
  * [Java, JRuby] JSONFormatter.appendDuration(), TagExpression.isEmpty() added to match ruby versions ([#234](https://github.com/cucumber/gherkin/issues/234) Oleg Sukhodolsky)
  * [Core] New: Greek ([#237](https://github.com/cucumber/gherkin/issues/237), [#244](https://github.com/cucumber/gherkin/issues/244) Konstantinos Rousis)
  * [Core] New: Old English (Englisc) added ([#240](https://github.com/cucumber/gherkin/issues/240), [#241](https://github.com/cucumber/gherkin/issues/241) Sean Miller)
  * [JRuby] fixed problem with passing StringIO to PrettyFormatter (Oleg Sukhodolsky)
  * [Ruby] MultiJson is used insted of JSon ([#235](https://github.com/cucumber/gherkin/issues/235) Erik Michaels-Ober)
  * [Ruby] TagExpression.eval() deprecated, TagExpression.evaluate() added to replace it. ([#238](https://github.com/cucumber/gherkin/issues/238) Oleg Sukhodolsky)
  * [Ruby] File name is displayed on parse error ([#247](https://github.com/cucumber/gherkin/issues/247), [#248](https://github.com/cucumber/gherkin/issues/248) @lukaso)
  * [Java, JRuby] Fix IndexOutOfBound exception in PrettyFormatter ([#175](https://github.com/cucumber/gherkin/issues/175), [#242](https://github.com/cucumber/gherkin/issues/242) Matheus Neves, Oleg Sukhodolsky)
  [#]# [2.11.6](https://github.com/cucumber/gherkin/compare/v2.11.5...v2.11.6)
  * [JavaScript] Add duration value to json formatter ([#204](https://github.com/cucumber/gherkin/pull/204) Rick Beyer)
  * [JavaScript] Fix for JS Lexer ([#215](https://github.com/cucumber/gherkin/pull/215) Alexis Hevia)
  * [JavaScript] Failing JS Features ([#228](https://github.com/cucumber/gherkin/issues/228) Aslak Hellesøy)
  * [Core] Better Slovak ([#208](https://github.com/cucumber/gherkin/pull/208) Michal Kvasnicak)
  * [Core] New: Tatar ([#213](https://github.com/cucumber/gherkin/pull/213) Valeriy Utyaganov)
  * [Core] New: Telugu ([#218](https://github.com/cucumber/gherkin/pull/218) srinivasvedantam)
  * [Core] New: Hindi ([#222](https://github.com/cucumber/gherkin/pull/222) Kumar Harsh)
  * [Java] Fix JSON formatter ([#216](https://github.com/cucumber/gherkin/pull/216), [#195](https://github.com/cucumber/gherkin/pull/195) Joseph Hughes, Rex Hoffman)
  * [Ruby,Java] Gherkin does not seem to parse BOM when feature contains language specification. ([#211](https://github.com/cucumber/gherkin/issues/211), [#212](https://github.com/cucumber/gherkin/pull/212) Rob Westgeest)
  * [Java] Fixed a couple of build problems ([#226](https://github.com/cucumber/gherkin/pull/226), [#227](https://github.com/cucumber/gherkin/pull/227) signed)
* Mon Nov  5 2012 coolo@suse.com
- updated to version 2.11.5
  * [Core] Czech translation cleaned a little bit up. ([#202](https://github.com/cucumber/gherkin/pull/202) Jakub Linhart)
  * [JavaScript] No lexer modules in 2.11.4 NPM package ([#198](https://github.com/cucumber/gherkin/issues/198) Aslak Hellesøy)
* Tue Oct  9 2012 coolo@suse.com
- updated to version 2.11.4
* Sun Aug 26 2012 coolo@suse.com
- updated to version 2.11.2
* Wed Nov 30 2011 schubi@suse.com
- update to 2.4.5
* Wed Aug 24 2011 fcastelli@novell.com
- add more 'provide' macros, required by latest version of cucumber
* Wed Aug 24 2011 fcastelli@novell.com
- update to 2.4.15
* Tue May  3 2011 dmacvicar@suse.de
- update to 2.3.6
* Mon Aug 30 2010 dmacvicar@novell.com
- update to 2.1.5
* Mon Jun 14 2010 mrueckert@suse.de
- initial package
